{
  Example how to create the new 97menus
  Author : Marcel Ohlmeier
  e-mail : ohlmeier@swhamm.de           
  This example is freeware
  feel free to use this in your programs
  but credit me 
}
unit Unit1;
   
interface
   
uses
   WinTypes, Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
   ExtCtrls, ComCtrls, StdCtrls, Menus, Buttons;
   
type
   TfrmMain = class(TForm)
      ToolBar: TPanel;
      Bevel1: TBevel;
      StatusBar1: TStatusBar;
      RichEdit: TRichEdit;
      MainMenu: TMainMenu;
      File1: TMenuItem;
      New1: TMenuItem;
      Open1: TMenuItem;
      Save1: TMenuItem;
      SaveAs1: TMenuItem;
      N2: TMenuItem;
      Print1: TMenuItem;
      PrinterSetup1: TMenuItem;
      N1: TMenuItem;
      Exit1: TMenuItem;
      Edit1: TMenuItem;
      Undo1: TMenuItem;
    Redo1: TMenuItem;
      N5: TMenuItem;
      Cut1: TMenuItem;
      Copy1: TMenuItem;
      Paste1: TMenuItem;
      N4: TMenuItem;
      Find1: TMenuItem;
      Replace1: TMenuItem;
      GoTo1: TMenuItem;
      Help1: TMenuItem;
      Contents1: TMenuItem;
      SearchForhelp1: TMenuItem;
      Info1: TMenuItem;
    btnNew: TSpeedButton;
    btnOpen: TSpeedButton;
    btnSave: TSpeedButton;
    btnSaveAs: TSpeedButton;
    btnContents: TSpeedButton;
    btnInfo: TSpeedButton;
      MenuBitmaps: TImageList;
    MenuBitmapsChecked: TImageList;
    btnEnableEditMenu: TSpeedButton;
    btnCheckGoToMenuItem: TSpeedButton;
    OpenDialog1: TOpenDialog;
    SaveDialog1: TSaveDialog;
    PrinterSetupDialog1: TPrinterSetupDialog;
    procedure FormCreate(Sender: TObject);
    procedure btnEnableEditMenuClick(Sender: TObject);
    procedure btnCheckGoToMenuItemClick(Sender: TObject);
    procedure Undo1Click(Sender: TObject);
    procedure Redo1Click(Sender: TObject);
    procedure Cut1Click(Sender: TObject);
    procedure Paste1Click(Sender: TObject);
    procedure Copy1Click(Sender: TObject);
    procedure Find1Click(Sender: TObject);
    procedure Replace1Click(Sender: TObject);
    procedure GoTo1Click(Sender: TObject);
    procedure btnIOpenClick(Sender: TObject);
    procedure btnSaveClick(Sender: TObject);
    procedure btnSaveAsClick(Sender: TObject);
    procedure btnNewClick(Sender: TObject);
    procedure Printersetup1Click(sender :TObject);
    procedure Info1Click(Sender: TObject);
    procedure Print1Click(Sender: TObject);
    procedure New1Click(Sender: TObject);
    procedure Open1Click(Sender: TObject);
    procedure Save1Click(Sender: TObject);
    procedure SaveAs1Click(Sender: TObject);
    procedure Contents1Click(Sender: TObject);
    procedure SearchForhelp1Click(Sender: TObject);
    procedure btnInfoClick(Sender: TObject);
    procedure btnOpenClick(Sender: TObject);
    procedure btnContentsClick(Sender: TObject);
    procedure Exit1Click(Sender: TObject);

   private
{ Private-Deklarationen }
   public
//procedure to create the ownerdrawn menus
      procedure CreateMenu;
//procedure to catch the WM_MEASUREITEM message
      procedure WMMeasureItem(Var Msg : TWMMeasureItem); Message wm_MeasureItem;
//procedure to catch the WM_DRAWITEM message
      procedure WMDrawItem(Var Msg : TWMDrawItem); Message wm_DrawItem;
//procedure to catch the WM_MENUCHAR message
      procedure WMMenuChar(Var Msg : TWMMenuchar); Message wm_MenuChar;
//procedure to catch the WM_COMMAND message
      procedure WMCommand(Var Msg : TWMCommand); Message wm_Command;
{ Public-Deklarationen }
   end;

var
   frmMain: TfrmMain;

const
   //Normal Menutexts
   MenuTexts : Array[0..17] of String =
   (
   //Menutexts for the filemenu
   '&New...',
   '&Open....           Ctrl+O',
   '&Save',
   'Save &as...',
   '&Print',
   'P&rinter-Setup...',
   '&Exit',
   //Menutexts for the editmenu
   '&Undo',
   '&Redo',
   '&Cut',
   'C&opy',
   '&Paste',
   '&Find',
   'Rep&lace',
   '&Go to',
   //Menutexts for the helpmenu
   '&Contents',
   '&Search for help...',
   '&Info...'
   );

   //Selected Menutexts
   MenuTextsSelected : Array[0..17] of String =
   (
   //Menutexts for the filemenu
   '&New...',
   '&Open....',
   '&Save',
   'Save &as...',
   '&Print',
   'P&rinter-Setup...',
   '&Exit',
   //Menutexts for the editmenu
   '&Undo',
   '&Redo',
   '&Cut',
   'C&opy',
   '&Paste',
   '&Find',
   'Rep&lace',
   '&Go to',
   //Menutexts for the helpmenu
   '&Contents',
   '&Search for help...',
   '&Info...'
   );

implementation

{$R *.DFM}
uses MenuEx97Utils, Unit3, Unit2;

//procedure to create the wonderful menus 
procedure tfrmMain.createMenu;
begin
   //Set the "Filemenu" itemtexts
   ModifyMenu(MainMenu.Handle,2,MF_BYCOMMAND+MF_OWNERDRAW,0,PChar(MenuTexts[0]));
   ModifyMenu(MainMenu.Handle,3,MF_BYCOMMAND+MF_OWNERDRAW,1,PChar(MenuTexts[1]));
   ModifyMenu(MainMenu.Handle,4,MF_BYCOMMAND+MF_OWNERDRAW+MF_DISABLED,2,PChar(MenuTexts[2]));
   ModifyMenu(MainMenu.Handle,5,MF_BYCOMMAND+MF_OWNERDRAW+MF_DISABLED,3,PChar(MenuTexts[3]));
   ModifyMenu(GetMenu(frmMain.Handle),6,MF_BYCOMMAND+MF_SEPARATOR,0,nil);
   ModifyMenu(GetMenu(frmMain.Handle),7,MF_BYCOMMAND+MF_OWNERDRAW+MF_DISABLED,4,PChar(MenuTexts[4]));
   ModifyMenu(GetMenu(frmMain.Handle),8,MF_BYCOMMAND+MF_OWNERDRAW+MF_DISABLED,5,PChar(MenuTexts[5]));
   ModifyMenu(GetMenu(frmMain.Handle),9,MF_BYCOMMAND+MF_SEPARATOR,0,nil);
   ModifyMenu(GetMenu(frmMain.Handle),10,MF_BYCOMMAND+MF_OWNERDRAW,6,PChar(MenuTexts[6]));
   //Set the "EditMenu" itemtexts
   ModifyMenu(GetMenu(frmMain.Handle),12,MF_BYCOMMAND+MF_OWNERDRAW+MF_DISABLED,7,PChar(MenuTexts[7]));
   ModifyMenu(GetMenu(frmMain.Handle),13,MF_BYCOMMAND+MF_OWNERDRAW+MF_DISABLED,8,PChar(MenuTexts[8]));
   ModifyMenu(GetMenu(frmMain.Handle),14,MF_BYCOMMAND+MF_SEPARATOR,0,nil);
   ModifyMenu(GetMenu(frmMain.Handle),15,MF_BYCOMMAND+MF_OWNERDRAW+MF_DISABLED,9,PChar(MenuTexts[9]));
   ModifyMenu(GetMenu(frmMain.Handle),16,MF_BYCOMMAND+MF_OWNERDRAW+MF_DISABLED,10,PChar(MenuTexts[10]));
   ModifyMenu(GetMenu(frmMain.Handle),17,MF_BYCOMMAND+MF_OWNERDRAW+MF_DISABLED,11,PChar(MenuTexts[11]));
   ModifyMenu(GetMenu(frmMain.Handle),18,MF_BYCOMMAND+MF_SEPARATOR,0,nil);
   ModifyMenu(GetMenu(frmMain.Handle),19,MF_BYCOMMAND+MF_OWNERDRAW+MF_DISABLED,12,PChar(MenuTexts[12]));
   ModifyMenu(GetMenu(frmMain.Handle),20,MF_BYCOMMAND+MF_OWNERDRAW+MF_DISABLED,13,PChar(MenuTexts[13]));
   ModifyMenu(GetMenu(frmMain.Handle),21,MF_BYCOMMAND+MF_OWNERDRAW+MF_DISABLED,14,PChar(MenuTexts[14]));
   //Set the "Helpmenu" itemtexts
   ModifyMenu(GetMenu(frmMain.Handle),23,MF_BYCOMMAND+MF_OWNERDRAW,15,PChar(MenuTexts[15]));
   ModifyMenu(GetMenu(frmMain.Handle),24,MF_BYCOMMAND+MF_OWNERDRAW,16,PChar(MenuTexts[16]));
   ModifyMenu(GetMenu(frmMain.Handle),25,MF_BYCOMMAND+MF_OWNERDRAW,17,PChar(MenuTexts[17]));
end;

//procedure to catch the WM_MEASUREITEM Message
//Its used to measure the menuitems
procedure tfrmMain.WMMeasureItem(Var Msg : TWMMeasureItem);
var
   MenuString : PChar;
begin
   With Msg.MeasureItemStruct^ do
   Begin
      GetMenuString(MainMenu.Handle, ItemId, MenuString, 255, MF_BYPOSITION);
      ItemWidth := canvas.textwidth(Menutexts[itemid])+20;
      ItemHeight := 20;
   End;
end;

//procedure to catch the WM_DRAWITEM message
//Its used to draw the menuitemtexts and icons
Procedure tfrmMain.WMDrawItem(Var Msg : TWMDrawItem);
var
   MenuBitmapChecked : TBitmap;
   MenuBitmap : TBitmap;
   MenuString : String;
   NoBmp : Boolean;
Begin
  MenuBitmap := TBitmap.Create;
  MenuBitmapChecked := TBitmap.Create;

   With Msg.DrawItemStruct^ do
     begin
       MenuBitmaps.GetBitmap(ItemID, MenuBitmap);
       MenuBitmapsChecked.GetBitmap(ItemID, MenuBitmapChecked);
       MenuString := MenuTexts[ItemId];
       If ((ItemID in [5,6,13,14])) then
        begin
          NoBmp := True;
        end
        else
        begin
          NoBmp := False;
        end;
       With rcItem do
         begin
           canvas.handle := hdc;
             begin
               If ((ItemState AND ods_selected) <> 0) then
                 begin
                   canvas.font.color := clHighlighttext;
                   canvas.brush.color := clHighlight;
                   canvas.pen.color := clHighlight;
/////////////////////////////////////////////////////////////////////////////////////////////
//If item is selected do/////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////////
                       If ((ItemState AND ods_disabled) <>0) then
                         begin
                           canvas.font.color := clinactivecaption;
                           If NoBmp = True then
                             Begin
                               canvas.fillrect(rcItem);
                               rcItem.Left := 22;
                               rcItem.Top := rcItem.Top+3;
                               DrawText(canvas.handle, PChar(MenuTextsSelected[ItemID]),StrLen(PChar(MenuTextsSelected[ItemID])), rcItem, DT_LEFT);
                             end
                           else
                             begin
                               rcItem.Left := 20;
                               canvas.fillrect(rcItem);
                               rcItem.Left := 22;
                               rcItem.Top := rcItem.Top+3;
                               DrawText(canvas.handle, PChar(MenuTextsSelected[ItemID]),StrLen(PChar(MenuTextsSelected[ItemID])), rcItem, DT_LEFT);
                               rcItem.top := rcItem.Top-3;
                               rcItem.Left := 0;
                               DrawDisabledBitmap(Canvas, rcItem.left, rcItem.Top, MenuBitmap);
                             end;
                         end
                       else
                       if ((ItemState AND ods_checked) <>0) then
                         begin
                               rcItem.Left := 20;
                               canvas.fillrect(rcItem);
                               rcItem.Left := 22;
                               rcItem.Top := rcItem.Top +3;
                               DrawText(canvas.handle, PChar(MenuTextsSelected[ItemID]),StrLen(PChar(MenuTextsSelected[ItemID])), rcItem, DT_LEFT);
                               rcItem.top := rcItem.top-3;
                               rcItem.Left := 0;
                               DrawTransparentBitmap(Canvas, menuBitmapChecked, rcItem.left, rcItem.Top, clFuchsia);
                         end
                       else
                         begin
                           If NoBmp = True then
                             begin
                               rcItem.Left := 0;
                               canvas.fillrect(rcItem);
                               rcItem.Left := 22;
                               rcItem.Top := rcItem.Top +3;
                               DrawText(canvas.handle, PChar(MenuTextsSelected[ItemID]),StrLen(PChar(MenuTextsSelected[ItemID])), rcItem, DT_LEFT + DT_VCENTER);
                             end
                           else
                             begin
                               rcItem.Left := 20;
                               canvas.fillrect(rcItem);
                               rcItem.Left := 22;
                               rcItem.Top := rcItem.Top+3;
                               DrawText(canvas.handle, PChar(MenuTextsSelected[ItemID]),StrLen(PChar(MenuTextsSelected[ItemID])), rcItem, DT_LEFT + DT_VCENTER);
                               rcItem.top := rcItem.Top-3;
                               rcItem.Left := 0;
                               DrawTransparentBitmap(Canvas, menuBitmap, rcItem.left, rcItem.Top, clFuchsia);
                               rcItem.Top := rcItem.Top;
                               rcItem.Right := 20;
                               DrawEdge(canvas.handle, rcItem, BDR_RAISEDINNER,BF_RECT);
                             end
                         end;
                     end
                 else
/////////////////////////////////////////////////////////////////////////////////////////////
//If item is not selected do/////////////////////////////////////////////////////////////////
/////////////////////////////////////////////////////////////////////////////////////////////
                 Begin
                   canvas.font.color := clMenutext;
                   canvas.brush.color := clMenu;
                   canvas.pen.color := clMenu;
                   canvas.fillrect(rcItem);
                     begin
                       If ((ItemState AND ods_disabled) <>0) then
                         begin
                           canvas.font.color := clinactivecaption;
                           If NoBmp = True then
                             Begin
                               canvas.fillrect(rcItem);
                               rcItem.Left := 22;
                               rcItem.Top := rcItem.Top+3;
                               DrawDisabledText(canvas, rcItem, PChar(MenuTexts[ItemID]));
                             end
                           else
                             begin
                               rcItem.Left := 20;
                               canvas.fillrect(rcItem);
                               rcItem.Left := 22;
                               rcItem.Top := rcItem.Top+3;
                               DrawDisabledText(canvas, rcItem, PChar(MenuTexts[ItemID]));
                               rcItem.top := rcItem.Top-3;
                               rcItem.Left := 0;
                               DrawDisabledBitmap(Canvas, rcItem.left, rcItem.Top, MenuBitmap);
                             end;
                         end
                       else
                       if ((ItemState AND ods_checked) <>0) then
                         begin
                               rcItem.Left := 20;
                               canvas.fillrect(rcItem);
                               rcItem.Left := 22;
                               rcItem.Top := rcItem.Top +3;
                               DrawText(canvas.handle, PChar(MenuTexts[ItemID]),StrLen(PChar(MenuTexts[ItemID])), rcItem, DT_LEFT);
                               rcItem.top := rcItem.top-3;
                               rcItem.Left := 0;
                               DrawTransparentBitmap(Canvas, menuBitmapChecked, rcItem.left, rcItem.Top, clFuchsia);
                         end
                       else
                         begin
                           If NoBmp = True then
                             begin
                               rcItem.Left := 0;
                               canvas.fillrect(rcItem);
                               rcItem.Left := 22;
                               rcItem.Top := rcItem.Top +3;
                               DrawText(canvas.handle, PChar(MenuTexts[ItemID]),StrLen(PChar(MenuTexts[ItemID])), rcItem, DT_LEFT);
                             end
                           else
                             begin
                               rcItem.Left := 20;
                               canvas.fillrect(rcItem);
                               rcItem.Left := 22;
                               rcItem.Top := rcItem.Top+3;
                               DrawText(canvas.handle, PChar(MenuTexts[ItemID]),StrLen(PChar(MenuTexts[ItemID])), rcItem, DT_LEFT);
                               rcItem.top := rcItem.Top-3;
                               rcItem.Left := 0;
                               DrawTransparentBitmap(Canvas, menuBitmap, rcItem.left, rcItem.Top, clFuchsia);
                               rcItem.Top := rcItem.Top -2;
                               rcItem.Right := 20;
                             end
                        end;
                     end
                 end;
             end;
         end;
     end;
end;

//procedure to catch the WM_COMMAND Message
//Its used to react on menuitemclicks
Procedure TfrmMain.WMCommand(Var Msg : TWMCommand);
Begin
   If (Msg.ItemID = 0) Then New1.Click;
   If (Msg.ItemID = 1) Then Open1.Click;
   If (Msg.ItemID = 2) Then Save1.Click;
   If (Msg.ItemID = 3) Then SaveAs1.Click;
   If (Msg.ItemID = 4) Then Print1.Click;
   If (Msg.ItemID = 5) Then PrinterSetup1.Click;
   If (Msg.ItemID = 6) Then Exit1.Click;
   If (Msg.ItemID = 7) Then Undo1.Click;
   If (Msg.ItemID = 8) Then Redo1.Click;
   If (Msg.ItemID = 9) Then Cut1.Click;
   If (Msg.ItemID = 10) Then Copy1.Click;
   If (Msg.ItemID = 11) Then Paste1.Click;
   If (Msg.ItemID = 12) Then Find1.Click;
   If (Msg.ItemID = 13) Then Replace1.Click;
   If (Msg.ItemID = 14) Then GoTo1.Click;
   If (Msg.ItemID = 15) Then Contents1.Click;
   If (Msg.ItemID = 16) Then SearchForHelp1.Click;
   If (Msg.ItemID = 17) Then Info1.Click;
End;

//procedure to catch the WM_MENUCHAR Message
//Its used to react when a menu is open and the user presses a key
//Example : The itemtext "Printer-Setup" has a line under the "r" of "Printer-Setup"
//          If the User presses the Character "r"
//          an action will occur -> The printer setup dialog opens
Procedure tfrmMain.WMMenuChar(Var Msg : TWMMenuchar);
begin
   With msg do
   begin
      If (Menu = File1.Handle) then
        begin
          If isMenuItemDisabled(MainMenu.handle, 0) = True then exit else
            If (User = Chr(110)) then New1.Click
          else if isMenuItemDisabled(MainMenu.handle, 1) = True then exit else
            If (User = Chr(111)) then Open1.Click
          else if isMenuItemDisabled(MainMenu.handle, 2) = True then exit else
            If (User = Chr(115)) then Save1.Click
          else if isMenuItemDisabled(MainMenu.handle, 3) = True then exit else
            If (User = Chr(97)) then SaveAs1.Click
          else if isMenuItemDisabled(MainMenu.handle, 4) = True then exit else
            If (User = Chr(112)) then Print1.Click
          else if isMenuItemDisabled(MainMenu.handle, 5) = True then exit else
            If (User = Chr(114)) then Printersetup1.Click
          else if isMenuItemDisabled(MainMenu.handle, 6) = True then exit else
            If (User = Chr(101)) then exit1.Click
          else
          exit;
        end

      else if (Menu = Edit1.Handle) then
        begin
          If isMenuItemDisabled(MainMenu.handle, 7) = True then exit else
            If (User = Chr(117)) then Undo1.Click
          else if isMenuItemDisabled(MainMenu.handle, 8) = True then exit else
            If (User = Chr(114)) then Redo1.Click
          else if isMenuItemDisabled(MainMenu.handle, 9) = True then exit else
            If (User = Chr(99)) then Cut1.Click
          else if isMenuItemDisabled(MainMenu.handle, 10) = True then exit else
            If (User = Chr(111)) then Copy1.Click
          else if isMenuItemDisabled(MainMenu.handle, 11) = True then exit else
            If (User = Chr(112)) then Paste1.Click
          else if isMenuItemDisabled(MainMenu.handle, 12) = True then exit else
            If (User = Chr(102)) then Find1.Click
          else if isMenuItemDisabled(MainMenu.handle, 13) = True then exit else
            If (User = Chr(108)) then Replace1.Click
          else if isMenuItemDisabled(MainMenu.handle, 14) = True then exit else
            If (User = Chr(103)) then GoTo1.Click
          else
            exit
        end

      else if (Menu = Help1.Handle) then
        begin
          If isMenuItemDisabled(MainMenu.handle, 15) = True then exit else
            If (User = Chr(99)) then Contents1.Click
          else if isMenuItemDisabled(MainMenu.handle, 16) = True then exit else
            If (User = Chr(115)) then SearchForHelp1.Click
          else if isMenuItemDisabled(MainMenu.handle, 17) = True then exit else
            If (User = Chr(105)) then Info1.Click
        end
      else
        exit;
   end;
end;

procedure TfrmMain.FormCreate(Sender: TObject);
begin
   CreateMenu;  //Create the menus
end;

procedure TfrmMain.btnEnableEditMenuClick(Sender: TObject);
var
i : Integer;
begin
If btnEnableEditMenu.Tag = 0 then
  begin
    For i := 7 to 14 do
      Begin
        SetMenuItemDisabledState(MainMenu, i, False);
      end;
        btnEnableEditMenu.Tag := 1;
        btnEnableEditMenu.Caption := 'Disable Edit-Menu';
  end
else
  begin
    For i := 7 to 14 do
      begin
        SetMenuItemDisabledState(MainMenu, i, True);
      end;
        btnEnableEditMenu.Tag := 0;
        btnEnableEditMenu.Caption := 'Enable Edit-Menu';
  end;
end;

procedure TfrmMain.btnCheckGoToMenuItemClick(Sender: TObject);
begin
if btnCheckGotoMenuItem.tag = 0 then
 begin
   SetMenuItemCheckedState(MainMenu, 14, True);
   btnCheckGotoMenuItem.Caption := 'Uncheck "GoTo"-Menuitem';
   btnCheckGotoMenuItem.tag := 1;
 end
else if btnCheckGotoMenuItem.tag = 1 then
 begin
   SetMenuItemCheckedState(MainMenu, 14, False);
   btnCheckGotoMenuItem.Caption := 'Check "GoTo"-Menuitem';
   btnCheckGotoMenuItem.tag := 0;
 end
end;

procedure TfrmMain.Printersetup1Click(Sender: TObject);
begin
PrinterSetupDialog1.Execute;
MessageDlg('Printer-Setup-Dialog  executed', mtInformation , [mbOK], 0);
end;

procedure TfrmMain.Info1Click(Sender: TObject);
begin
   frmAbout.ShowModal;
end;

procedure TfrmMain.Print1Click(Sender: TObject);
begin
   MessageDlg('"File->Print" selected', mtInformation, [mbOK], 0);
end;

procedure TfrmMain.New1Click(Sender: TObject);
begin
   MessageDlg('"File->New" selected', mtInformation, [mbOK], 0);
end;

procedure TfrmMain.Open1Click(Sender: TObject);
begin
If OpenDialog1.Execute then
MessageDlg(OpenDialog1.Filename + ' opened', mtInformation, [mbOK], 0)
else
exit;
end;

procedure TfrmMain.Save1Click(Sender: TObject);
begin
   MessageDlg('"File->Save" selected', mtInformation, [mbOK], 0);
end;

procedure TfrmMain.SaveAs1Click(Sender: TObject);
begin
   If SaveDialog1.Execute then
      MessageDlg(SaveDialog1.Filename+' saved', mtInformation, [mbOK], 0)
   else
      exit;
end;

procedure TfrmMain.Contents1Click(Sender: TObject);
begin
   MessageDlg('"Help->Contents" selected', mtInformation, [mbOK], 0);
end;

procedure TfrmMain.SearchForhelp1Click(Sender: TObject);
begin
   MessageDlg('"Help->Search for help" selected', mtInformation, [mbOK], 0);
end;

procedure TfrmMain.btnInfoClick(Sender: TObject);
begin
frmAbout.ShowModal;
end;

procedure TfrmMain.Undo1Click(Sender: TObject);
begin
MessageDlg('"Edit->Undo" selected', mtInformation , [mbOK], 0);
end;

procedure TfrmMain.Redo1Click(Sender: TObject);
begin
MessageDlg('"Edit->Redo" selected', mtInformation , [mbOK], 0);
end;

procedure TfrmMain.Cut1Click(Sender: TObject);
begin
MessageDlg('"Edit->Cut" selected', mtInformation , [mbOK], 0);
end;

procedure TfrmMain.Paste1Click(Sender: TObject);
begin
MessageDlg('"Edit->Paste" selected', mtInformation , [mbOK], 0);
end;

procedure TfrmMain.Copy1Click(Sender: TObject);
begin
MessageDlg('"Edit->Copy" selected', mtInformation , [mbOK], 0);
end;

procedure TfrmMain.Find1Click(Sender: TObject);
begin
MessageDlg('"Edit->Find" selcted', mtInformation , [mbOK], 0);
end;

procedure TfrmMain.Replace1Click(Sender: TObject);
begin
MessageDlg('"Edit->Replace" selcted', mtInformation , [mbOK], 0);
end;

procedure TfrmMain.GoTo1Click(Sender: TObject);
begin
MessageDlg('"Edit->Goto" selected', mtInformation , [mbOK], 0);
end;

procedure TfrmMain.btnIOpenClick(Sender: TObject);
begin
open1.click;
end;

procedure TfrmMain.btnSaveClick(Sender: TObject);
begin
MessageDlg('Button "Save" clicked', mtInformation , [mbOK], 0);
end;

procedure TfrmMain.btnSaveAsClick(Sender: TObject);
begin
MessageDlg('Button "Save as" clicked', mtInformation , [mbOK], 0);
end;

procedure TfrmMain.btnNewClick(Sender: TObject);
begin
MessageDlg('Button "New" clicked', mtInformation , [mbOK], 0);
end;

procedure TfrmMain.btnOpenClick(Sender: TObject);
begin
MessageDlg('Button "Open" clicked', mtInformation , [mbOK], 0);
end;

procedure TfrmMain.btnContentsClick(Sender: TObject);
begin
MessageDlg('Button "Contents" clicked', mtInformation , [mbOK], 0);
end;

procedure TfrmMain.Exit1Click(Sender: TObject);
begin
frmDummy.Show;
frmMain.Close;
end;

end.
